org.apache.struts2.rest.config.entities

## Class RestConstantConfig

- java.lang.Object
- - org.apache.struts2.config.entities.ConstantConfig
  - - org.apache.struts2.rest.config.entities.RestConstantConfig

-     public class RestConstantConfig
      extends ConstantConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestConstantConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAllAsStringsMap()`
    `String` | `getMapperDeleteMethodName()`
    `String` | `getMapperEditMethodName()`
    `String` | `getMapperGetMethodName()`
    `String` | `getMapperIndexMethodName()`
    `String` | `getMapperNewMethodName()`
    `String` | `getMapperOptionsMethodName()`
    `String` | `getMapperPostContinueMethodName()`
    `String` | `getMapperPostMethodName()`
    `String` | `getMapperPutContinueMethodName()`
    `String` | `getMapperPutMethodName()`
    `Boolean` | `getRestContentRestrictToGet()`
    `String` | `getRestDefaultErrorResultName()`
    `String` | `getRestDefaultExtension()`
    `Boolean` | `getRestLogger()`
    `String` | `getRestNamespace()`
    `String` | `getRestValidationFailureStatusCode()`
    `void` | `setMapperDeleteMethodName(String mapperDeleteMethodName)`
    `void` | `setMapperEditMethodName(String mapperEditMethodName)`
    `void` | `setMapperGetMethodName(String mapperGetMethodName)`
    `void` | `setMapperIndexMethodName(String mapperIndexMethodName)`
    `void` | `setMapperNewMethodName(String mapperNewMethodName)`
    `void` | `setMapperOptionsMethodName(String mapperOptionsMethodName)`
    `void` | `setMapperPostContinueMethodName(String mapperPostContinueMethodName)`
    `void` | `setMapperPostMethodName(String mapperPostMethodName)`
    `void` | `setMapperPutContinueMethodName(String mapperPutContinueMethodName)`
    `void` | `setMapperPutMethodName(String mapperPutMethodName)`
    `void` | `setRestContentRestrictToGet(Boolean restContentRestrictToGet)`
    `void` | `setRestDefaultErrorResultName(String restDefaultErrorResultName)`
    `void` | `setRestDefaultExtension(String restDefaultExtension)`
    `void` | `setRestLogger(Boolean restLogger)`
    `void` | `setRestNamespace(String restNamespace)`
    `void` | `setRestValidationFailureStatusCode(String restValidationFailureStatusCode)`

    - ### Methods inherited from class org.apache.struts2.config.entities.ConstantConfig

      `beanConfToString, getAcceptedPatternsChecker, getActionConfigFallbackToEmptyNamespace, getActionExcludePattern, getActionExtension, getActionProxyFactory, getActionValidatorManager, getAdditionalAcceptedPatterns, getAdditionalExcludedPatterns, getAllowedActionNames, getAllowedMethodNames, getBeaninfoCacheFactory, getConfigurationXmlReload, getContentTypeMatcher, getConverterAnnotationProcessor, getConverterArray, getConverterCollection, getConverterCreator, getConverterDate, getConverterFileProcessor, getConverterHolder, getConverterNumber, getConverterPropertiesProcessor, getConverterString, getCustomI18nResources, getCustomProperties, getDefaultActionName, getDefaultMethodName, getDevMode, getDevModeExcludedClasses, getDevModeExcludedPackageExemptClasses, getDevModeExcludedPackageNamePatterns, getDevModeExcludedPackageNames, getDisableRequestAttributeValueStackLookup, getDisallowProxyMemberAccess, getDisallowProxyObjectAccess, getDispatcherErrorHandler, getDispatcherParametersWorkaround, getElThrowExceptionOnFailure, getEnableDynamicMethodInvocation, getEnableSlashesInActionNames, getExcludedClasses, getExcludedPackageExemptClasses, getExcludedPackageNamePatterns, getExcludedPackageNames, getExcludedPatternsChecker, getExpressionCacheFactory, getExpressionParser, getFreemarkerBeanwrapperCache, getFreemarkerManagerClassname, getFreemarkerMruMaxStrongSize, getFreemarkerTemplatesCacheUpdateDelay, getFreemarkerWrapperAltMap, getHandleException, getI18nEncoding, getI18nReload, getLocale, getLocaleProviderFactory, getLocalizedTextProvider, getMapperActionPrefixCrossNamespaces, getMapperActionPrefixEnabled, getMapperAlwaysSelectFullNamespace, getMapperClass, getMapperComposite, getMapperIdParameterName, getMapperPrefixMapping, getMultipartBufferSize, getMultipartEnabled, getMultipartMaxFiles, getMultipartMaxFileSize, getMultipartMaxSize, getMultipartMaxStringLength, getMultipartParser, getMultipartSaveDir, getMultipartValidationRegex, getNotExcludedAcceptedPatternsChecker, getObjectFactory, getObjectFactoryActionFactory, getObjectFactoryConverterFactory, getObjectFactoryInterceptorFactory, getObjectFactoryResultFactory, getObjectFactorySpringAutoWire, getObjectFactorySpringAutoWireAlwaysRespect, getObjectFactorySpringEnableAopSupport, getObjectFactorySpringUseClassCache, getObjectFactoryUnknownHandlerFactory, getObjectFactoryValidatorFactory, getObjectTypeDeterminer, getOgnlAllowStaticFieldAccess, getOgnlAutoGrowthCollectionLimit, getOgnlEnableEvalExpression, getOgnlEnableExpressionCache, getOgnlLogMissingProperties, getOverrideAcceptedPatterns, getOverrideExcludedPatterns, getPatternMatcher, getReflectionContextFactory, getReflectionProvider, getServeStatic, getServeStaticBrowserCache, getStaticContentLoader, getStaticContentPath, getStrictMethodInvocationMethodRegex, getTextProviderFactory, getUiTemplateDir, getUiTemplateSuffix, getUiTheme, getUiThemeExpansionToken, getUnknownHandlerManager, getUrlHttpPort, getUrlHttpsPort, getUrlIncludeParams, getUrlRenderer, getValueStackFactory, getVelocityConfigfile, getVelocityContexts, getVelocityManagerClassname, getVelocityToolboxlocation, getViewUrlHelper, getXsltNocache, getXworkConverter, setAcceptedPatternsChecker, setAcceptedPatternsChecker, setActionConfigFallbackToEmptyNamespace, setActionExcludePattern, setActionExtension, setActionProxyFactory, setActionProxyFactory, setActionValidatorManager, setActionValidatorManager, setAdditionalAcceptedPatterns, setAdditionalExcludedPatterns, setAllowedActionNames, setAllowedMethodNames, setBeaninfoCacheFactory, setBeaninfoCacheFactory, setConfigurationXmlReload, setContentTypeMatcher, setContentTypeMatcher, setConverterAnnotationProcessor, setConverterAnnotationProcessor, setConverterArray, setConverterArray, setConverterCollection, setConverterCollection, setConverterCreator, setConverterCreator, setConverterDate, setConverterDate, setConverterFileProcessor, setConverterFileProcessor, setConverterHolder, setConverterHolder, setConverterNumber, setConverterNumber, setConverterPropertiesProcessor, setConverterPropertiesProcessor, setConverterString, setConverterString, setCustomI18nResources, setCustomProperties, setDefaultActionName, setDefaultMethodName, setDevMode, setDevModeExcludedClasses, setDevModeExcludedPackageExemptClasses, setDevModeExcludedPackageNamePatterns, setDevModeExcludedPackageNames, setDisableRequestAttributeValueStackLookup, setDisallowProxyMemberAccess, setDisallowProxyObjectAccess, setDispatcherErrorHandler, setDispatcherErrorHandler, setDispatcherParametersWorkaround, setElThrowExceptionOnFailure, setEnableDynamicMethodInvocation, setEnableSlashesInActionNames, setExcludedClasses, setExcludedPackageExemptClasses, setExcludedPackageNamePatterns, setExcludedPackageNames, setExcludedPatternsChecker, setExcludedPatternsChecker, setExpressionCacheFactory, setExpressionCacheFactory, setExpressionParser, setExpressionParser, setFreemarkerBeanwrapperCache, setFreemarkerManagerClassname, setFreemarkerManagerClassname, setFreemarkerMruMaxStrongSize, setFreemarkerTemplatesCacheUpdateDelay, setFreemarkerWrapperAltMap, setHandleException, setI18nEncoding, setI18nReload, setLocale, setLocaleProviderFactory, setLocaleProviderFactory, setLocalizedTextProvider, setLocalizedTextProvider, setMapperActionPrefixCrossNamespaces, setMapperActionPrefixEnabled, setMapperAlwaysSelectFullNamespace, setMapperClass, setMapperClass, setMapperComposite, setMapperIdParameterName, setMapperPrefixMapping, setMultipartBufferSize, setMultipartEnabled, setMultipartMaxFiles, setMultipartMaxFileSize, setMultipartMaxSize, setMultipartMaxStringLength, setMultipartParser, setMultipartParser, setMultipartSaveDir, setMultipartValidationRegex, setNotExcludedAcceptedPatternsChecker, setNotExcludedAcceptedPatternsChecker, setObjectFactory, setObjectFactory, setObjectFactoryActionFactory, setObjectFactoryActionFactory, setObjectFactoryConverterFactory, setObjectFactoryConverterFactory, setObjectFactoryInterceptorFactory, setObjectFactoryInterceptorFactory, setObjectFactoryResultFactory, setObjectFactoryResultFactory, setObjectFactorySpringAutoWire, setObjectFactorySpringAutoWireAlwaysRespect, setObjectFactorySpringEnableAopSupport, setObjectFactorySpringUseClassCache, setObjectFactoryUnknownHandlerFactory, setObjectFactoryUnknownHandlerFactory, setObjectFactoryValidatorFactory, setObjectFactoryValidatorFactory, setObjectTypeDeterminer, setObjectTypeDeterminer, setOgnlAllowStaticFieldAccess, setOgnlAutoGrowthCollectionLimit, setOgnlEnableEvalExpression, setOgnlEnableExpressionCache, setOgnlLogMissingProperties, setOverrideAcceptedPatterns, setOverrideExcludedPatterns, setPatternMatcher, setPatternMatcher, setReflectionContextFactory, setReflectionContextFactory, setReflectionProvider, setReflectionProvider, setServeStatic, setServeStaticBrowserCache, setStaticContentLoader, setStaticContentLoader, setStaticContentPath, setStrictMethodInvocationMethodRegex, setTextProviderFactory, setTextProviderFactory, setUiTemplateDir, setUiTemplateSuffix, setUiTheme, setUiThemeExpansionToken, setUnknownHandlerManager, setUnknownHandlerManager, setUrlHttpPort, setUrlHttpsPort, setUrlIncludeParams, setUrlRenderer, setUrlRenderer, setValueStackFactory, setValueStackFactory, setVelocityConfigfile, setVelocityContexts, setVelocityManagerClassname, setVelocityManagerClassname, setVelocityToolboxlocation, setViewUrlHelper, setViewUrlHelper, setXsltNocache, setXworkConverter, setXworkConverter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestConstantConfig

          public RestConstantConfig()

  - ### Method Detail

    - #### getAllAsStringsMap

          public Map<String,String> getAllAsStringsMap()

      Overrides:
        `getAllAsStringsMap` in class `ConstantConfig`

    - #### getRestDefaultExtension

          public String getRestDefaultExtension()

    - #### setRestDefaultExtension

          public void setRestDefaultExtension(String restDefaultExtension)

    - #### getRestLogger

          public Boolean getRestLogger()

    - #### setRestLogger

          public void setRestLogger(Boolean restLogger)

    - #### getRestDefaultErrorResultName

          public String getRestDefaultErrorResultName()

    - #### setRestDefaultErrorResultName

          public void setRestDefaultErrorResultName(String restDefaultErrorResultName)

    - #### getRestContentRestrictToGet

          public Boolean getRestContentRestrictToGet()

    - #### setRestContentRestrictToGet

          public void setRestContentRestrictToGet(Boolean restContentRestrictToGet)

    - #### getMapperIndexMethodName

          public String getMapperIndexMethodName()

    - #### setMapperIndexMethodName

          public void setMapperIndexMethodName(String mapperIndexMethodName)

    - #### getMapperGetMethodName

          public String getMapperGetMethodName()

    - #### setMapperGetMethodName

          public void setMapperGetMethodName(String mapperGetMethodName)

    - #### getMapperPostMethodName

          public String getMapperPostMethodName()

    - #### setMapperPostMethodName

          public void setMapperPostMethodName(String mapperPostMethodName)

    - #### getMapperEditMethodName

          public String getMapperEditMethodName()

    - #### setMapperEditMethodName

          public void setMapperEditMethodName(String mapperEditMethodName)

    - #### getMapperNewMethodName

          public String getMapperNewMethodName()

    - #### setMapperNewMethodName

          public void setMapperNewMethodName(String mapperNewMethodName)

    - #### getMapperDeleteMethodName

          public String getMapperDeleteMethodName()

    - #### setMapperDeleteMethodName

          public void setMapperDeleteMethodName(String mapperDeleteMethodName)

    - #### getMapperPutMethodName

          public String getMapperPutMethodName()

    - #### setMapperPutMethodName

          public void setMapperPutMethodName(String mapperPutMethodName)

    - #### getMapperOptionsMethodName

          public String getMapperOptionsMethodName()

    - #### setMapperOptionsMethodName

          public void setMapperOptionsMethodName(String mapperOptionsMethodName)

    - #### getMapperPostContinueMethodName

          public String getMapperPostContinueMethodName()

    - #### setMapperPostContinueMethodName

          public void setMapperPostContinueMethodName(String mapperPostContinueMethodName)

    - #### getMapperPutContinueMethodName

          public String getMapperPutContinueMethodName()

    - #### setMapperPutContinueMethodName

          public void setMapperPutContinueMethodName(String mapperPutContinueMethodName)

    - #### getRestNamespace

          public String getRestNamespace()

    - #### setRestNamespace

          public void setRestNamespace(String restNamespace)

    - #### getRestValidationFailureStatusCode

          public String getRestValidationFailureStatusCode()

    - #### setRestValidationFailureStatusCode

          public void setRestValidationFailureStatusCode(String restValidationFailureStatusCode)

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.